#!/bin/bash
cat sources.radioastron | grep 'source=' | grep -v '\!' | grep -v 'calibrator' | grep -v "fake source representing RadioAstron" | awk '{print $1}' |while read SOURCE ;do
 RA=`grep -v '\!' sources.radioastron | grep "$SOURCE" | grep "source=" | head -n1 | awk '{print $2}' FS='RA=' | awk '{print $1}'`
 if [ "$RA" = "" ];then 
  echo "ERROR getting RA for the source $SOURCE from sources.radioastron"
  exit 1
 fi 
 DEC=`grep -v '\!' sources.radioastron | grep "$SOURCE" | grep "source=" | head -n1 | awk '{print $2}' FS='DEC=' | awk '{print $1}'`
 if [ "$DEC" = "" ];then
  echo "ERROR getting DEC for the source $SOURCE from sources.radioastron"
  exit 1
 fi 
 SOURCEPOSITION_RADEC="$RA $DEC"
 echo "Source $SOURCE position from sources.radioastron: $SOURCEPOSITION_RADEC" #>> /dev/stderr
 SOURCENAME=$SOURCE
done
